var GM_P = new Array();
GM_P["counter"] = 0;
GM_P["marker"] = new Array();
GM_P["points"] = new Array();

function gmap_recenter(idx) {
	var point= GM_P["points"][idx];
	var marker = GM_P["marker"][idx];
	GM_P["map"].recenterOrPanToLatLng(point);
};
				     
function gmap_marker(node) {
	var daten = node.getElementsByTagName("li");
	var x = parseFloat(daten[0].firstChild.nodeValue);
	var y = parseFloat(daten[1].firstChild.nodeValue);
	var title = daten[2].firstChild.nodeValue;
	var label = daten[3].firstChild.nodeValue;
	var point = new GPoint(x,y);
	
	var marker = new GMarker(point, GM_P["icon"]);
	GM_P["map"].addOverlay(marker);
	GEvent.addListener(marker, "click", function() {
		marker.openInfoWindowHtml('<div class="gmap_label">' + label + "</div>");
	});
	GM_P["counter"] += 1;
	GM_P["points"][GM_P["counter"]] = point;
	GM_P["marker"][GM_P["counter"]] = marker;
	var link = 'Recenter on: <a href="javascript:gmap_recenter(' + GM_P["counter"] + ')">' + title + '</a><br/>';
	document.getElementById("gmap_locations").innerHTML += link;
}

function gmap_parse_data() {
	var gmap_node = document.getElementById('gmap');
	if (gmap_node == null) {
		alert("No Gmap data found!")
		exit;
	}
	var gmap_data = gmap_node.getElementsByTagName("ul");
	for (var i = 0; i < gmap_data.length; i++) {
		gmap_marker(gmap_data[i]);
	}
};

function gmap_position() {
	var gmap_pos = document.getElementById('gmap_pos');
	var daten = gmap_pos.getElementsByTagName('li');
	var x = parseFloat(daten[0].firstChild.nodeValue);
	var y = parseFloat(daten[1].firstChild.nodeValue);
	var z = parseInt(daten[2].firstChild.nodeValue);
	var point = new GPoint(x,y);
	GM_P["map"].recenterOrPanToLatLng(point);
	GM_P["map"].zoomTo(z);
};

function gmap_init_map() {
	// init map 
	var map = new GMap(document.getElementById("gmap"));
	map.addControl(new GLargeMapControl());
	map.setMapType(_SATELLITE_TYPE);
	GM_P["map"] = map;
}

function gmap_init_icon() {
	var icon = new GIcon();
	icon.image = "http://labs.google.com/ridefinder/images/mm_20_red.png";
	icon.shadow = "http://labs.google.com/ridefinder/images/mm_20_shadow.png";
	icon.iconSize = new GSize(12, 20);
	icon.shadowSize = new GSize(22, 20);
	icon.iconAnchor = new GPoint(6, 20);
	icon.infoWindowAnchor = new GPoint(5, 1);
	GM_P["icon"] = icon;
}	

function gmap() {
	gmap_init_map();
	gmap_init_icon();
	gmap_parse_data();
	gmap_position();
}

setTimeout('gmap()', 1000);
